django_app/api/urls.py
from django.conf.urls import url, include

from rest_framework.routers import DefaultRouter

from .views import UserViewSet

router = DefaultRouter()

router.register('users', UserViewSet)

urlpatterns = [
    url(r'^', include(router.urls))
]

django_app/blog/urls.py
from django.conf.urls import url
from .views import HomeView
from .views import CreatePostView

app_name = 'blog'

urlpatterns = [
    url(r'^$', HomeView.as_view(), name='home'),
    url(r'^create/$', CreatePostView.as_view(), name='home'),
]

django_app/main/urls.py
from django.conf.urls import url, include
from django.contrib import admin

from register.views import (
    RegisterView,
    LoginView,
    LogoutView,
    activate_user_view,
)

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^login$', LoginView.as_view(), name='login'),
    url(r'^logout$', LogoutView.as_view(), name='logout'),
    url(r'^register$', RegisterView.as_view(), name='register'),
    url(
        r'^activate/(?P<code>[a-z0-9].*)$',
        activate_user_view,
        name='activate'
    ),
    url(r'^api/', include("api.urls")),
]

django_app/templates/base.html
<!DOCTYPE html>
<html lang=en>

<head>
<title>
    {% block head_title %}
        Blog
    {% endblock head_title %}
</title>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
</head>
<body>
<div class='container'>
    <div class='row text-center'>
        <div clsas='col-sm-6 col-sm-offset-3'>
            <h1>Blog</h1>
            {% if request.user.is_authenticated %}
                <a href='{% url "blog:home" %}'>Home</a>
                <a href='{% url "logout" %}'>Logout</a>
            {% else %}
                <a href='{% url "register" %}'>Register</a>
            {% endif %}
        </div>
    </div>
</div>
<hr/>

<div class='container'>
{% block content %}
{% endblock content %}
</div>


<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js" integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/js/bootstrap.min.js" integrity="sha384-h0AbiXch4ZDo7tp9hKZ4TsHbi047NrKGLO3SEJAg45jXxnGIfYzk4Si90RDIqNm1" crossorigin="anonymous"></script>
</body>
</html>